KDE 4.7 PyKDE API Reference

- KDE's Python API

# NETFullscreenMonitors Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Simple multiple monitor topology class for NET classes.

This class is a convenience class, defining a multiple monitor topology for fullscreen applications that wish to be present on more than one monitor/head. As per the _NET_WM_FULLSCREEN_MONITORS hint in the EWMH spec, this topology consists of 4 monitor indices such that the bounding rectangle is defined by the top edge of the top monitor, the bottom edge of the bottom monitor, the left edge of the left monitor, and the right edge of the right monitor. See the _NET_WM_FULLSCREEN_MONITORS hint in the EWMH spec.

## Attributes
int | bottom
int | left
int | right
int | top
## Methods
| __init__ (self)
bool | isSet (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructor to initialize this struct to -1,0,0,0 (an initialized, albeit invalid, topology).

bool isSet | ( |  | self ) |

Convenience check to make sure that we are not holding the initial (invalid) values. Note that we don't want to call this isValid() because we're not actually validating the monitor topology here, but merely that our initial values were overwritten at some point by real (non-negative) monitor indices.

## Attribute Documentation

int bottom

int left

int right

int top